apiVersion: v1
kind: Service
metadata:
  name: postgrest
spec:
  ports:
    - port: 80
      targetPort: 3000
  selector:
    app: auth
    component: postgrest
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: postgrest
spec:
  replicas: 1
  selector:
    matchLabels:
      app: auth
      component: postgrest
  strategy: {}
  template:
    metadata:
      labels:
        component: postgrest
    spec:
      containers:
        - name: postgrest
          image: index.docker.io/postgrest/postgrest
          imagePullPolicy: Always
          resources: {}
          env:
            - name: PGRST_SERVER_PORT
              value: "3000"
            - name: PGRST_DB_URI
              value:
            - name: PGRST_DB_SCHEMA
              value: api
            - name: PGRST_DB_ANON_ROLE
              value: webanon
            - name: PGRST_JWT_SECRET
              value:
          ports:
            - containerPort: 3000
      restartPolicy: Always
      serviceAccountName: ""
status: {}
